> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1shadowedviewerupdate



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/ShadowedViewer/update
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/ShadowedViewer/update:
    post:
      tags:
        - ShadowedViewer
      operationId: ShadowedViewer_UpdateShadowedViewers
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateShadowedViewersRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateShadowedViewersResult'
components:
  schemas:
    UpdateShadowedViewersRequest:
      allOf:
        - $ref: '#/components/schemas/BaseMessage'
        - type: object
          additionalProperties: false
          properties:
            Truncate:
              type: boolean
            Destinations:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Destination2'
    UpdateShadowedViewersResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Destinations:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Destination2'
    BaseMessage:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
    Destination2:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        MemberOf:
          type: array
          nullable: true
          items:
            type: string
        Type:
          type: string
          nullable: true
        Password:
          type: string
          nullable: true
        LicenseType:
          type: string
          nullable: true
        LicenseTypeId:
          type: string
          nullable: true
        LastConnected:
          type: string
          format: date-time
          nullable: true
        MacAddress:
          type: string
          nullable: true
        IpAddress:
          type: string
          nullable: true
        HardwareId:
          type: string
          nullable: true
        PermissionDescriptor:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PermissionDescriptor'
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    Message:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Context:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageContext'
    PermissionDescriptor:
      type: object
      additionalProperties: false
      properties:
        Owner:
          type: string
          nullable: true
        DisableInheritance:
          type: boolean
        Permissions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/IdentityPermissions'
    MessageContext:
      type: object
      additionalProperties: false
      properties:
        CorrelationId:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        Pads4UserId:
          type: string
          nullable: true
        Domain:
          type: string
          nullable: true
        Claims:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserClaim'
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string
        ImpersonationId:
          type: string
          nullable: true
    IdentityPermissions:
      type: object
      additionalProperties: false
      properties:
        Identity:
          type: string
          nullable: true
        Allow:
          type: boolean
        Permissions:
          type: array
          nullable: true
          items:
            type: string
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true

````